Take the 2-minute tour ×
Ask Different is a question and answer site for power users of Apple hardware and software. It's 100% free, no registration required.

I want to use iMessage on an old Macbook which cannot be upgrades past OS X 10.7. Apple provided an iMessage beta software, but it has expired and no longer functions. I'm wondering whether there is any way to keep using the iMessage service on the Lion OS?

share|improve this question
    
No, but you may have some luck running 10.8 on your MacBook using MLPostfactor. Check your local search engine. –  TJ Luoma Dec 22 '13 at 19:22
add comment

2 Answers

As on my own experience, the version you're talking about was very buggy and Apple did change a lot regarding iMessage on the new OS. It most likely will use other protocols or URLS to communicate with, and as it have been replaced by a full (working) version it's no worth to anyone to attempt and hack it.

So in short: No, you can't do this. But you might be able to put Mountain Lion on your older Macbook.

share|improve this answer
add comment

No one has come forth with a hack or modification to get it working. The longer it takes, the less likely someone will want to release a patch since the audience for this shrinks as people upgrade and move on to Mountain Lion.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.